org.apache.sysds.runtime.io.hdf5

## Class H5ContiguousDataset

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5ContiguousDataset

    public class H5ContiguousDataset
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`H5ContiguousDataset(H5RootObject rootObject, H5ObjectHeader objectHeader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `getDataBuffer(int row)`
`H5DataTypeMessage` `getDataType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5ContiguousDataset

    public H5ContiguousDataset(H5RootObject rootObject,
                               H5ObjectHeader objectHeader)

### Method Detail

#### getDataBuffer

    public ByteBuffer getDataBuffer(int row)

#### getDataType

    public H5DataTypeMessage getDataType()